package com.miaxis.test;

import com.miaxis.JpcjApplication;
import com.miaxis.question.domain.QuestionInfo;
import com.miaxis.question.dto.QuestionInfoTestDTO;
import com.miaxis.question.service.IQuestionInfoService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;

@ActiveProfiles("dev")
@SpringBootTest(classes = JpcjApplication.class)
@RunWith(SpringRunner.class)
public class NormalTest3 {


    @Autowired
    private IQuestionInfoService questionInfoService;

    @Test
    public void test1() throws Exception {
        QuestionInfoTestDTO questionInfoTestDTO = new QuestionInfoTestDTO();
        questionInfoTestDTO.setSubject(4);
        questionInfoTestDTO.setGs("hc");

        for (int i = 0; i < 1000; i++) {
            List<QuestionInfo> list = questionInfoService.selectTestK14QuestionInfoList(questionInfoTestDTO);
            System.out.println(i+"------------------------------------------------------------------------------------------------------");
        }


    }





}
